org.apache.jmeter.gui.util

## Class TextBoxDialoger.TextBoxDoubleClickPressed

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - org.apache.jmeter.gui.util.TextBoxDialoger.TextBoxDoubleClickPressed

- All Implemented Interfaces:
    MouseListener, MouseMotionListener, MouseWheelListener, EventListener
  Enclosing class:
    TextBoxDialoger

      public static class TextBoxDialoger.TextBoxDoubleClickPressed
      extends MouseAdapter

  Class to edit in a dialog box the cell's content when double (pressed) click on a table's cell which is editable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextBoxDoubleClickPressed(JTable table)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mousePressed(MouseEvent e)`

    - ### Methods inherited from class java.awt.event.MouseAdapter

      `mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseReleased, mouseWheelMoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextBoxDoubleClickPressed

          public TextBoxDoubleClickPressed(JTable table)

  - ### Method Detail

    - #### mousePressed

          public void mousePressed(MouseEvent e)

      Specified by:
        `mousePressed` in interface `MouseListener`
      Overrides:
        `mousePressed` in class `MouseAdapter`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.